Engine1 Class Reference

`#include <engine.test.h>`

Inheritance diagram for Engine1:
[legend]
Collaboration diagram for Engine1:
[legend]

## Public Member Functions

| Engine1 ()
Public Member Functions inherited from Public< Engine >
| Public (MemoryManager *mman=0, const std::string &name=std::string(), const std::string &usage=std::string(), const std::string &description=std::string(), const std::string &longDescription=std::string())
ArgList::iterator | parseList (ArgList &list)
ArgList::iterator | parse (ArgList &list, ArgList::iterator begin)

## Public Attributes

BoolOption * | antani
StringOption * | blinda

## Constructor & Destructor Documentation

## Engine1()

Engine1::Engine1 | ( |  | ) |

inline

## Member Data Documentation

## antani

BoolOption* Engine1::antani

Referenced by TestCommandlineEngine::clusteredShortOpts(), TestCommandlineEngine::longOptsWithArgs(), TestCommandlineEngine::longOptsWithDashes(), TestCommandlineEngine::noSwitchesAfterFirstArg(), TestCommandlineEngine::optsAndArgs(), and TestCommandlineEngine::optsOnly().

## blinda

StringOption* Engine1::blinda

Referenced by TestCommandlineEngine::clusteredShortOpts(), TestCommandlineEngine::longOptsWithArgs(), TestCommandlineEngine::longOptsWithDashes(), TestCommandlineEngine::noSwitchesAfterFirstArg(), TestCommandlineEngine::optsAndArgs(), and TestCommandlineEngine::optsOnly().

The documentation for this class was generated from the following file:

- engine.test.h